﻿@using LAP.Model
@model RiskProfileModel
@{
    var clientBits = Model.ClientRiskData.BehavioralInvestmentType;
    var spouseBits = Model.SpouseRiskData.BehavioralInvestmentType;
}
<div class="card card-custom">
    <partial name="_DashboardCardHeader.cshtml" />
    <div class="card-body pt-0 font-size-lg">
        <span class="label label-pill text-white label-inline mb-1" style="background:#b00022">@Model.ClientName</span>
        <div class="d-flex justify-content-between">
            <div>Risk Capacity Score (RC):</div>
            <div class="@(Model.ClientRiskData?.RiskCapacityScore < 20 ? "text-danger" : "")">@Model.ClientRiskData?.RiskCapacityScore</div>
        </div>
        @if (Model.RiskArcVersion)
        {
            <div class="d-flex justify-content-between">
                <div>Behavioral Investment Type (BIT):</div>
                <div class="@(clientBits?.Count() == 0 ? "text-danger" : "")">
                    @(clientBits?.Count() > 0 ? string.Join(" | ", clientBits) : "N/A")
                </div>
            </div>
        }
        <div class="d-flex justify-content-between">
            <div>Risk Profile:</div>
            <div class="@(Model.ClientRiskData?.RiskCapacityScore < 20 ? "text-danger" : "")">@Model.ClientRiskData?.RiskProfile</div>
        </div>
        <hr />
        @if (Model.IsMarried)
        {

            <span class="label label-pill text-white label-inline mb-1" style="background:#008080">@Model.SpouseName</span>
            <div class="d-flex justify-content-between">
                <div>Risk Capacity Score (RC):</div>
                <div class="@(Model.SpouseRiskData?.RiskCapacityScore < 20 ? "text-danger" : "")">@Model.SpouseRiskData?.RiskCapacityScore</div>
            </div>
            @if (Model.RiskArcVersion)
            {
                <div class="d-flex justify-content-between">
                    <div>Behavioral Investment Type (BIT):</div>
                    <div class="@(spouseBits?.Count() == 0 ? "text-danger" : "")">@(spouseBits?.Count() > 0 ? string.Join(" | ", spouseBits) : "N/A")</div>
                </div>
            }
            <div class="d-flex justify-content-between">
                <div>Risk Profile:</div>
                <div class="@(Model.SpouseRiskData?.RiskCapacityScore < 20 ? "text-danger" : "")">@Model.SpouseRiskData?.RiskProfile</div>
            </div>
            <hr />
        }
        <div class="d-flex justify-content-between">
            <div>Financial Independent Score (FIS):</div>
            <div>@string.Format("{0:0.00}%", Model.FinancialIndependentScore)</div>
        </div>
    </div>
</div>